## vkeybd 0.1.17b

=== Makefile ===
#
# Makefile for vkeybd
# copyright (c) 1997-2000 by Takashi Iwai
#

VERSION = 0.1.17b

#
# installation directory
#
PREFIX = /usr/local
# binary and Tcl script are put there
BIN_DIR = $(PREFIX)/bin
# man page
MAN_SUFFIX = 1
MAN_DIR = $(PREFIX)/share/man

# data directory (/usr/share)
DATA_DIR = $(PREFIX)/share

#
# preset and keyboard file are put here
#
VKBLIB_DIR = $(DATA_DIR)/vkeybd

#
# device selections -- multiple avaialble
# to disable the device, set value 0 (do not comment out!)
#
USE_AWE = 1
USE_MIDI = 1
USE_ALSA = 1
USE_LADCCA = 0

#
# Tcl/Tk library -- depends on your distribution
#
TCL_VERSION = 8.4
TCLLIB = -ltcl$(TCL_VERSION)
TCLINC =
TKLIB = -ltk$(TCL_VERSION)
TKINC =
XLIB = -L/usr/X11R6/lib -lX11
XINC = -I/usr/X11R6/include
EXTRALIB += -ldl

#----------------------------------------------------------------
# device definitions
#----------------------------------------------------------------

# AWE device
ifeq (1,$(USE_AWE))
DEVICES += -DVKB_USE_AWE
DEVOBJS += oper_awe.o
endif

# MIDI device
ifeq (1,$(USE_MIDI))
DEVICES += -DVKB_USE_MIDI
DEVOBJS += oper_midi.o
endif

# ALSA sequencer
ifeq (1,$(USE_ALSA))
DEVICES += -DVKB_USE_ALSA
DEVOBJS += oper_alsa.o
EXTRALIB += -lasound
endif

#
# LADCCA stuff
#
ifeq (1,$(USE_LADCCA))
LADCCACFLAGS = $(shell pkg-config --cflags ladcca-1.0) \
	       $(shell pkg-config --exists ladcca-1.0 && echo "-DHAVE_LADCCA" )
LADCCALIBS   = $(shell pkg-config --libs ladcca-1.0)
DEVICES += $(LADCCACFLAGS)
EXTRALIB += $(LADCCALIBS)
endif

#----------------------------------------------------------------
# dependencies
#----------------------------------------------------------------

VKB_TCLFILE = $(VKBLIB_DIR)/vkeybd.tcl

COPTFLAGS = -Wall -O
CFLAGS = $(COPTFLAGS) -DVKB_TCLFILE=\"$(VKB_TCLFILE)\" \
	-DVKBLIB_DIR=\"$(VKBLIB_DIR)\"\
	-DVERSION_STR=\"$(VERSION)\"\
	$(DEVICES) $(XINC) $(TCLINC) $(TKINC) $(LADCCACFLAGS)

TARGETS = vkeybd sftovkb

all: $(TARGETS)

vkeybd: vkb.o vkb_device.o $(DEVOBJS) $(EXTRAOBJS)
	$(CC) -o $@ $^ $(TKLIB) $(TCLLIB) $(XLIB) $(EXTRALIB) -lm

sftovkb: sftovkb.o sffile.o malloc.o fskip.o
	$(CC) -o $@ $^ -lm

install: $(TARGETS) vkeybd.tcl vkeybd.list vkeybdmap*
	mkdir -p $(DESTDIR)$(BIN_DIR)
	install -c -m 755 vkeybd $(DESTDIR)$(BIN_DIR)
	install -c -m 755 sftovkb $(DESTDIR)$(BIN_DIR)
	rm -f $(DESTDIR)$(BIN_DIR)/vkeybd.tcl
	mkdir -p $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybd.tcl $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybd.list $(DESTDIR)$(VKBLIB_DIR)
	install -c -m 444 vkeybdmap* $(DESTDIR)$(VKBLIB_DIR)

install-man:
	mkdir -p $(DESTDIR)$(MAN_DIR)/man$(MAN_SUFFIX)
	install -c -m 444 vkeybd.man $(DESTDIR)$(MAN_DIR)/man$(MAN_SUFFIX)/vkeybd.$(MAN_SUFFIX)

install-desktop:
	mkdir -p $(DESTDIR)$(DATA_DIR)/applications
	install -c -m 644 vkeybd.desktop $(DESTDIR)$(DATA_DIR)/applications
	mkdir -p $(DESTDIR)$(DATA_DIR)/pixmaps
	install -c -m 644 pixmaps/*.png $(DESTDIR)$(DATA_DIR)/pixmaps

install-all: install install-man install-desktop

clean:
	rm -f *.o $(TARGETS)

## vkeybd 0.1.18d

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # copyright (c) 1997-2000 by Takashi Iwai
 #
 
-VERSION = 0.1.17b
+VERSION = 0.1.18d
 
 #
 # installation directory
@@ -30,7 +30,7 @@
 USE_AWE = 1
 USE_MIDI = 1
 USE_ALSA = 1
-USE_LADCCA = 0
+USE_LASH = 0
 
 #
 # Tcl/Tk library -- depends on your distribution
@@ -68,14 +68,14 @@
 endif
 
 #
-# LADCCA stuff
+# LASH stuff
 #
-ifeq (1,$(USE_LADCCA))
-LADCCACFLAGS = $(shell pkg-config --cflags ladcca-1.0) \
-	       $(shell pkg-config --exists ladcca-1.0 && echo "-DHAVE_LADCCA" )
-LADCCALIBS   = $(shell pkg-config --libs ladcca-1.0)
-DEVICES += $(LADCCACFLAGS)
-EXTRALIB += $(LADCCALIBS)
+ifeq (1,$(USE_LASH))
+LASHCFLAGS = $(shell pkg-config --cflags lash-1.0) \
+	       $(shell pkg-config --exists lash-1.0 && echo "-DHAVE_LASH" )
+LASHLIBS   = $(shell pkg-config --libs lash-1.0)
+DEVICES += $(LASHCFLAGS)
+EXTRALIB += $(LASHLIBS)
 endif
 
 #----------------------------------------------------------------
@@ -88,17 +88,17 @@
 CFLAGS = $(COPTFLAGS) -DVKB_TCLFILE=\"$(VKB_TCLFILE)\" \
 	-DVKBLIB_DIR=\"$(VKBLIB_DIR)\"\
 	-DVERSION_STR=\"$(VERSION)\"\
-	$(DEVICES) $(XINC) $(TCLINC) $(TKINC) $(LADCCACFLAGS)
+	$(DEVICES) $(XINC) $(TCLINC) $(TKINC) $(LASHCFLAGS)
 
 TARGETS = vkeybd sftovkb
 
 all: $(TARGETS)
 
 vkeybd: vkb.o vkb_device.o $(DEVOBJS) $(EXTRAOBJS)
-	$(CC) -o $@ $^ $(TKLIB) $(TCLLIB) $(XLIB) $(EXTRALIB) -lm
+	$(CC) $(LDFLAGS) -o $@ $^ $(TKLIB) $(TCLLIB) $(XLIB) $(EXTRALIB) -lm
 
 sftovkb: sftovkb.o sffile.o malloc.o fskip.o
-	$(CC) -o $@ $^ -lm
+	$(CC) $(LDFLAGS) -o $@ $^ -lm
 
 install: $(TARGETS) vkeybd.tcl vkeybd.list vkeybdmap*
 	mkdir -p $(DESTDIR)$(BIN_DIR)

=== debian/changelog ===
vkeybd (1:0.1.18d-2) unstable; urgency=low

  * Team upload.
  * ACK nmu.
  * Update maintainer's information:
    - Correct Maintainer's name and email.
    - Add Vcs-* tags.
    - Add gbp config file.
  * Drop dpatch support.
  * Switch packaging to 3.0 (quilt) format, refresh all patches.
  * Add .gitignore file.
  * Switch to DH 7.
  * debian/control:
    - Apply one-dep-per-line style.
    - Drop ancient debhelper.
    - Add misc:Depends to Depends field.
    - Add Homepage field.
    - Bump Standards.
  * Append -Wl,--as-needed to the linking flags.
  * Restore all changes directly introduces by debian's patch,
    split them into separate patches.
  * debian/clean:
    - Purge auto-generated manpages.
  * debian/dirs:
    - Drop empty /usr/sbin directory.
  * Fix menu file as per Debian Menu sub-policy.
  * Update debian/copyright.
  * Install upstream's version of vkeybd.1.
  * Add patch to fix manpage mistakes.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Mar 2011 10:37:40 +0100

vkeybd (1:0.1.18d-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix headers for vkeybd_xpm_fix.dpatch, thanks to Ilya Barygin for
    the patch (Closes: #560556)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 03 Feb 2010 22:49:23 +0100

vkeybd (1:0.1.18d-1) unstable; urgency=low

  * New upstream version, thanks to Jean-Michel Philippe (Closes: #527942, #527943)
  * Fix broken watch file, thanks to Arnout Engelen (Closes: #543680)

 -- Free Ekanayaka <freee@debian.org>  Thu, 10 Sep 2009 23:04:59 +0200

vkeybd (1:0.1.17b-2) unstable; urgency=low

  * debian/vkeybd.desktop:
    - removed deprecated Encoding field
    - fixed Icon field (Closes: #449159)
    - removed deprecated value Application from Categories field

 -- Free Ekanayaka <freee@debian.org>  Tue,  8 Jan 2008 22:09:38 +0000

vkeybd (1:0.1.17b-1) unstable; urgency=low

  * New upstream release (Closes: #436330)

 -- Free Ekanayaka <freee@debian.org>  Tue,  7 Aug 2007 13:57:00 +0200

vkeybd (1:0.1.17a-2) unstable; urgency=low

  * Changed name in .desktop file to Virtual MIDI Keyboard
  * Fixed watch file

 -- Free Ekanayaka <freee@debian.org>  Wed, 20 Jun 2007 01:56:13 +0200

vkeybd (1:0.1.17a-1) unstable; urgency=low

  * New upstream release
  * Set Maintainer to debian-multimedia
  * Added myself to Uploaders
  * Fixed watch file

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Mar 2007 11:11:17 +0200

vkeybd (1:0.1.17-3) unstable; urgency=low

  * Removed unnecessary build-depends on xlibs-dev (Closes: #346976)
  * Added compat file and removed DH_COMPAT from debian/rules

 -- Free Ekanayaka <free@agnula.org>  Tue, 17 Jan 2006 07:35:17 +0100

vkeybd (1:0.1.17-2) unstable; urgency=low

  * Better description (closes: #310506), thanks to
    browaeys.alban@wanadoo.fr
  * Added desktop file

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Sep 2005 10:13:50 +0100

vkeybd (1:0.1.17-1) unstable; urgency=low

  * Initial upload (closes: #193256)
    [ Note: this package belongs to source package awe in woody and it has
      been remove from sid in 2002. Beside vkeybd the awe source package in woody
      provides also packages holding kernel drivers for Sound Blaster AWE32. After
      these drivers have been included in the Linux kernel the upstream splitted
      the code and changed the versioning of vkeybd, thus I'm using epoch ]
  * Upload sposored by Marco Presi
  * Menu icon (closes: #299396)

 -- Free Ekanayaka <free@agnula.org>  Fri,  6 May 2005 10:50:48 +0200

=== debian/control ===
Source: vkeybd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 libasound2-dev,
 tcl8.5-dev,
 tk8.5-dev
Vcs-Git: git://git.debian.org/pkg-multimedia/vkeybd.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vkeybd.git
Standards-Version: 3.9.1
Homepage: http://www.alsa-project.org/~tiwai/alsa.html

Package: vkeybd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Virtual MIDI Keyboard
 This program allows you to use the Linux AWE32 driver, OSS MIDI sequencer,
 or ALSA MIDI sequencer and provides "virtual" keyboard (the musical type),
 which can be "played" using the keyboard or mouse under X11.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/vkeybd
LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build
	cp vkeybd.man vkeybd.1
	docbook-to-man debian/sftovkb.sgml > sftovkb.1

override_dh_auto_install:
	dh_auto_install
	install -m 755 vkeybd  $(CURDIR)/debian/vkeybd/usr/bin
	install -m 755 sftovkb $(CURDIR)/debian/vkeybd/usr/bin
	install -m 644 $(CURDIR)/vkeybd.xpm $(CURDIR)/debian/vkeybd/usr/share/pixmaps/vkeybd.xpm

=== debian/watch ===
version=2

# Pattern					Version
ftp://ftp.suse.com/pub/people/tiwai/vkeybd/	vkeybd-(.*)\.tar\.bz2 debian	uupdate
